# Minecraft Remade

调整 Minecraft，保持平衡。

- 版本：1.0.0-preview2 (Beta)
- 游戏版本：1.21.4
- 项目链接：  
  [Modrinth](https://modrinth.com/datapack/minecraft_remade)  
  [Github](https://github.com/Minecrafthyr/minecraft_remade) ([Dev 分支](https://github.com/Minecrafthyr/minecraft_remade/tree/dev))
- 文档链接 (Github):  
  [English](https://github.com/Minecrafthyr/minecraft_remade/tree/main/Readme.md)  
  [中文](https://github.com/Minecrafthyr/minecraft_remade/tree/main/Readme/中文.md)
- 当前文件数量：1500+

## 兼容性

### 必须

- 需要安装在 Modrinth 文件页或 Github 的资源包。

[Collection](https://modrinth.com/collection/vv2GYBKe)

- [Fabric API](https://www.modrinth.com/mod/P7dR8mSH)
- [Item Components](https://www.modrinth.com/mod/wOl8aLro)
- [Patched](https://www.modrinth.com/mod/IBlGrJtC)
- [Modify Player Data](https://modrinth.com/mod/e706DYY5)
- [Data Command Plus](https://modrinth.com/mod/RDzf0iuC)
- [Filament](https://modrinth.com/mod/yANxwqSX)

### 可选

专门兼容项。[Collection](https://modrinth.com/collection/OomzyzBT)

- [Universal Ores](https://modrinth.com/mod/68kWHuUF)
- [Bake Your Bread](https://modrinth.com/mod/6FNv53gc/4cgX9zXl)
- \[未完成\] [Tough As Nails](https://modrinth.com/mod/ge1sOdFH)
  - [GlitchCore](https://modrinth.com/mod/s3dmwKy5)
- \[未完成\] [Enderite Mod](https://modrinth.com/mod/6lvRWqbA)

### 推荐

[Collection](https://modrinth.com/collection/xnfbeiAU)

- [REI](https://modrinth.com/mod/nfn13YXA)
  - [Architectury API](https://modrinth.com/mod/lhGA9TYQ)
  - [Cloth Config API](https://modrinth.com/mod/9s6osm5g)
- [Tax Free Levels](https://modrinth.com/mod/jCBrrLTs)
- [Extended Bonemeal](https://modrinth.com/mod/bHkCoxMs)
- [Stackable Bundles](https://modrinth.com/mod/Hs0QCDz6)

## 简介

### 起始进程

- 工作台合成配方：
  <table>
    <tr> <th colspan=99>合成 <td>(有序)
    <tr> <td>皮革 <td>铁粒
    <tr> <td>木板 <td>木棍
  </table>
- 挖掘沙砾可能掉落铁粒。
- 皮革配方：  
  X: 人造皮革或劣质皮革或蝙蝠翼或兔子皮
  <table>
    <tr> <th colspan=99>合成 <td>(有序)
    <tr> <td>X <td>X
    <tr> <td>X <td>X
  </table>
- 人造皮革配方：
  <table>
    <tr> <th colspan=99>合成 <td>(有序)
    <tr> <td>纸 <td>纸
    <tr> <td>纸 <td>纸
  </table>
- 纸配方：
  <table>
    <tr> <th colspan=99>合成 <td>(无序)
    <tr> <td>木质压力板 <td>木质压力板
  </table>
  <table>
    <tr> <th colspan=99>合成 <td>(无序)
    <tr> <td>甘蔗 <td>甘蔗 <td>甘蔗
  </table>
- 更多动物掉落皮革。
- 石头需要石质工具挖掘，深板岩需要铁质工具挖掘。
- 石质工具需要燧石合成。

## 特性

注意：介绍可能过时。

### 修改

#### <span style="font-size:16px;">附魔</span>

#### <span style="font-size:16px;">战利品表</span>

#### <span style="font-size:16px;">配方</span>

#### <span style="font-size:16px;">世界生成</span>

### 新内容

#### <span style="font-size:16px;">进度</span>

#### <span style="font-size:16px;">附魔</span>

#### <span style="font-size:16px;">函数</span>

使用`/function minecraft_remade:config/<func>/(enable|disable)`进行配置。

<details>

- 攻击冷却：一些伤害类型（玩家攻击、生物攻击等）现在无视冷却时间，所以这里有一个针对玩家和史莱姆的额外攻击冷却。
- 火箭：落地时，点燃的箭会在方块上点火。
- 雪球融化：燃烧的雪球会被清除。
- 土径加速：土径上的生物+10%移动速度。
- 光灵箭发光：实体光灵箭现在始终发光。
- 鞘翅缓降：装备鞘翅给予你缓降效果。
- 切石机伤害：切石机伤害生物。
- 再生：修改了玩家自然生命恢复。生命恢复时间随难度倍增（秒）
  <table>
    <tr> <th>饱食度 <th>18 <th>12 <th>6
    <tr> <th>和平   <td>1  <td>2  <td>3
    <tr> <th>简单   <td>2  <td>4  <td>6
    <tr> <th>普通   <td>4  <td>6  <td>12
    <tr> <th>困难   <td>8  <td>16 <td>24
  </table>
- 快速攀爬：在可攀爬方块上按跳跃键（默认：空格）和前/后/左/右键（默认：W/A/S/D）移动更快。
- 食物消耗：食物消耗值不断增加。跳跃消耗更多。
- 安全摔落距离：玩家安全摔落距离属性为 4.0 而非 3.0，潜行再次增加 1 格安全摔落距离。
- 触发器：  
  `/trigger minecraft_remade.back_to_death_location`返回死亡位置。（默认禁用）  
  `/trigger minecraft_remade.get_death_location`获取死亡位置。（默认禁用）  
  `/trigger minecraft_remade.config`在聊天栏展示配置界面。（计划中）  
  `/trigger minecraft_remade.hat`移动 1 个主手物品到头上。  
  `/trigger minecraft_remade.hat.make`将主手物品设置为可佩戴到头上。`/trigger minecraft_remade.hat.unmake`解除功能。  
  `/trigger minecraft_remade.random_teleport`或`/trigger minecraft_remade.rtp`以`(0,0)`点为圆心，半径 10000 方块的随机传送。（默认禁用）  
  `/trigger minecraft_remade.sit`不踩在空气上时坐下。（默认禁用）  
  `/trigger minecraft_remade.surface`传送至当前位置的世界最高点。（默认禁用）  
  `/trigger minecraft_remade.suicide`自杀。（默认禁用）

</details>

### <span style="font-size:16px;">物品组件</span>

使用了[Item Components](https://www.modrinth.com/mod/item-components) mod.  
见[源代码](https://github.com/Minecrafthyr/minecraft_remade/tree/main/data/minecraft_remade/item_conponents)。

<details>

_(默认食用时间为 1.6 秒。)_  
_(目前，食物饱食度或饱和度仍不平衡。)_

</details>

### <span style="font-size:16px;">配方</span>

## 关于旧版

Minecraft Remade 现为 Minecraft 1.21.4。  
旧版[封存于此](https://github.com/Minecrafthyr/mcre)。
